Commit ce79299f authored by Akdel's avatar Akdel

Merge branch '1-integrate-with-optispeed' into 'master'

Resolve "integrate with optispeed"

Closes #1

See merge request !2
parents 8c6c6a37 25731f5c
# OptiMap - Optical-map moleculue alignment tool
## Requirements:
Depends on [OptiScan](https://gitlab.com/akdel/OptiScan)
## Installation
```shell script
git clone https://gitlab.com/akdel/OptiMap.git
cd OptiMap
pip install .
```
## Test with toy data
```shell script
OptiSpeed ./data/molecules.npy --first_score=0.8 --second_score=0.75 --output_filename=test_output.tsv --combine_sparse=True
OptiSpeed ./data/molecules.bnx --first_score=0.8 --second_score=0.75 --output_filename=test_output.tsv --combine_sparse=True
```
\ No newline at end of file
#!/usr/bin/env python3
import fire
from OptiMap.OptiSpeed import compression as comp
from OptiMap.OptiSpeed import square_wave as sw
......
#!/usr/bin/env python3
import fire
from OptiMap.OptiSpeed import compression as comp
from OptiMap.OptiSpeed import square_wave as sw
......
#!/usr/bin/env python3
import fire
from OptiMap import correlation_struct as cs
from OptiMap import molecule_struct as ms
......
#!/usr/bin/env python3
import fire
from OptiMap.OptiSpeed import compression as comp
from OptiMap.OptiSpeed import square_wave as sw
......
This diff is collapsed.
......@@ -6,6 +6,10 @@ setup(name='OptiMap',
author='Mehmet Akdel',
author_email='mehmet.akdel@wur.nl',
url='https://gitlab.com/akdel/',
scripts=["bin/OptiMap-deep",
"bin/OptiMap-naive",
"bin/OptiMap-sparse",
"bin/OptiSpeed"],
packages=['OptiMap', "OptiMap/OptiSpeed"],
install_requires=["sqlalchemy", "numpy", "numba", "scipy", "intervaltree",
"matplotlib", "cython", "Simple-LSH", "fire", "ray"])
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment